#include <iostream>
#include <iterator>
#include <vector>

using namespace std;

int main()
{
    int N, K;
    cin>>N>>K;
    int niz[N];
    int tabla[2*N+1];
    int brojac[2*N+1];
    vector<int> index;
    int brojacv=0;
    for(int i=0;i<N;i++)
    {
        cin>>niz[i];
    }
    int nn=N*(-1);
    int j=0;
    for(int i=nn;i<=N;i++)
    {
        tabla[j]=i;
        brojac[j]=0;
        for(int l=0;l<N;l++)
        {
            if(niz[l]==tabla[j])
                brojac[j]++;
        }
        j++;
    }
    int m=nn;
    for(int i=0;i<2*N+1;i++)
    {
        if(brojac[i]>=K)
        {
            index.push_back(nn);
            brojacv++;
        }
        nn++;
    }
    cout << brojacv << endl;
    for(int i=0;i<brojacv;i++)
        cout<<index[i]<<" ";
}